SimpleOrganism (BioJava-1.5-beta API)
Keywords: org.biojavax.ga.impl.SimpleOrganism class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.ga.impl
Class SimpleOrganism

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojavax.ga.impl.AbstractOrganism
              org.biojavax.ga.impl.SimpleOrganism

All Implemented Interfaces:
  Changeable, Organism

    public class SimpleOrganism

extends AbstractOrganism

A Simple Haploid Organism implementation

Since:
  1.5
Version:
  1.0
Author:
  Mark Schreiber

Field Summary

Fields inherited from interface org.biojavax.ga.Organism
`CHROMOSOMES, NAME`

Constructor Summary
`SimpleOrganism()`
`SimpleOrganism(Organism org, String name)`
`SimpleOrganism(String name)`

Method Summary
`boolean` | `isHaploid()` Simple Organisms are Halpoid
`Organism` | `replicate(String name)` Creates a replica of this `Organism` with a new name.
`protected void` | `setChromImpl(SymbolList[] chromosomes)`

Methods inherited from class org.biojavax.ga.impl.AbstractOrganism
`getChromosomes, getName, setChromosomes, setName`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, getChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Constructor Detail

### SimpleOrganism

    public SimpleOrganism()

### SimpleOrganism

    public SimpleOrganism(String name)

### SimpleOrganism

    public SimpleOrganism(Organism org,
                          String name)

Method Detail

### setChromImpl

    protected void setChromImpl(SymbolList[] chromosomes)

  Specified by:
    `setChromImpl` in class `AbstractOrganism`

### isHaploid

    public boolean isHaploid()

  Simple Organisms are Halpoid

  Specified by:
    `isHaploid` in interface `Organism`
  Specified by:
    `isHaploid` in class `AbstractOrganism`
  Returns:
    true

### replicate

    public Organism replicate(String name)

  Description copied from interface: `Organism`
  Creates a replica of this `Organism` with a new name.

  Parameters:
    `name` - the new name for the sequence.
  Returns:
    the replicated organism.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD